package entities

import (
	"gorm.io/gorm"
	"time"
)

type Client struct {
	Id        uint           `json:"id"`
	AccessKey string         `json:"access_key" gorm:"primaryKey"`
	SecretKey string         `json:"secret_key"`
	Domain    string         `json:"domain"`
	Public    bool           `json:"public"`
	CreatedAt time.Time      `json:"create_time"`
	UpdatedAt time.Time      `json:"update_time"`
	DeletedAt gorm.DeletedAt `json:"delete_time,omitempty" gorm:"index"`
}
